## indi-talon6 2.0%2B20220129131520

=== debian/changelog ===
indi-talon6 (2.0+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 17:08:31 +0000

indi-talon6 (2.0-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 25 Dec 2021 18:06:46 +0100

indi-talon6 (2.0-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 20 Dec 2021 18:06:46 +0000

## indi-talon6 2.0+20220611133010

=== debian/changelog ===
indi-talon6 (2.0+20220611133010-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 13:30:20 +0000

## indi-talon6 2.0+20221222160901

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(indi_talon6 C CXX)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

set(INDI_TALON6_VERSION_MAJOR 2)
set(INDI_TALON6_VERSION_MINOR 0)

find_package(INDI REQUIRED)
find_package(Nova REQUIRED)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_talon6.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_talon6.xml )

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})

include(CMakeCommon)

########### Talon6  ###########
set(indi_talon6_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/talon6.cpp
   )

add_executable(indi_talon6 ${indi_talon6_SRCS})

target_link_libraries(indi_talon6 ${INDI_LIBRARIES} ${NOVA_LIBRARIES})

install(TARGETS indi_talon6 RUNTIME DESTINATION bin )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_talon6.xml DESTINATION ${INDI_DATA_DIR})

=== debian/changelog ===
indi-talon6 (2.0+20221222160901-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113036)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:39:22 +0200

indi-talon6 (2.0+20221222160901-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 2.0

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 22 Dec 2022 16:10:15 +0000

=== debian/control ===
Source: indi-talon6
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
	, libnova-dev
	, zlib1g-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-talon6
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-talon6.git

Package: indi-talon6
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for Talon6 Roll Off Roof
 This package contains an INDI driver for TALON6 Roll Off Roof.
 Talon6 is a Roll Off Roof control system. It has been in use
 in several hosting facilities (e.g. E-Eye in Spain)
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
